## ruby2.2 2.2.3

=== debian/changelog ===
ruby2.2 (2.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 18 Aug 2015 22:22:21 +0000

ruby2.2 (2.2.2-3) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Have libruby2.2 depend on ruby-test-unit, as upstream bundles this
    externally maintained package in their tarballs. (Closes: #791925)

  [ Antonio Terceiro ]
  * Apply upstream patches to fix Request hijacking vulnerability in Rubygems
    [CVE-2015-3900] (Closes: #790111)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Jul 2015 09:50:08 -0300

ruby2.2 (2.2.2-2) unstable; urgency=medium

  * Make Date in gemspec reproducible. Initial patch from Chris Lamb
    <lamby@debian.org>. (Closes: #779631, #784225)
  * Replace embedded copies of Lato with symlinks to fonts-lato.
    (Closes: #762348)
  * debian/copyright: improve DEP-5 compliance.
  * Provide debug symbols, in a new libruby2.2-dbg package. Patch from
    Matt Palmer <mpalmer@debian.org>. (Closes: #785685)
  * Build libruby.so with dpkg-buildflags supplied LDFLAGS.
    (Closes: #762350)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 01 Jul 2015 15:36:24 +0200

ruby2.2 (2.2.2-1) unstable; urgency=medium

  * New upstream release
    - includes fix for vulnerability with overly permissive matching of
      hostnames in OpenSSL extension [CVE-2015-1855]
  * debian/rules: add import-orig-source to automate importing orig tarballs
    generated from the upstream git mirror.
  * debian/tests: add a functional test that will run all tests under test/

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 May 2015 18:56:32 -0300

ruby2.2 (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: review
    - enc/* relicensed to the same license as Ruby
    - add license for ccan/* (CC0)
    - add license for enc/trans/JIS/*
      - some under the "Unicode" license
      - most under permissive "You can use, modify, distribute this table
        freely." terms
    - ext/nkf/ relicensed to zlib/libpng license
  * debian/upstream-changes: simpler and more accurate implementation
  * debian/libruby2.2.symbols: updated

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 03 Apr 2015 21:30:14 -0300

ruby2.2 (2.2.0~1-1) UNRELEASED; urgency=medium

  * Ruby 2.2 RC1
  * Dropped all Debian-specific changes to the upstream sources; everything we
    need is fixed upstream

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 19 Dec 2014 14:46:35 -0200

ruby2.1 (2.1.5-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2014-8090 Another Denial of Service XML Expansion
      (Closes: #770932)
    - Fixes build on SPARC (Closes: #769731)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 29 Nov 2014 12:30:39 -0200

ruby2.1 (2.1.4-1) unstable; urgency=high

  * New upstream version
    - CVE-2014-8080: Denial of Service in XML Expansion
    - Changes default settings in OpenSSL bindings to not use deprecated and
      insecure ciphers; avoids issues associated to CVE-2014-3566 (i.e. the
      "POODLE" bug in OpenSSL)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Oct 2014 12:07:22 -0200

ruby2.1 (2.1.3-2) unstable; urgency=medium

  [ Sebastian Boehm ]
  * Install SystemTap tap file (Closes: #765862)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 19 Oct 2014 20:07:50 +0200

ruby2.1 (2.1.3-1) unstable; urgency=medium

  * New upstream version

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 20 Sep 2014 16:55:47 +0200

ruby2.1 (2.1.2-4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Move libjs-jquery dependency from libruby2.1 to ruby2.1, and turn it into
    Recommends:. This way programs that link against libruby2.1 won't pull in
    libjs-jquery; OTOH those using rdoc (and thus needing libjs-jquery) would
    be already using ruby2.1 anyway.

  [ Christian Hofstaedtler ]
  * Update Vcs-Git URL, as we've moved from master2.1 to master.
  * Prepare libruby21.symbols for x32 (Closes: #759615)
  * Remove embedded copies of SSL certificates. Rubygems is advised by
    rubygems-integration to use the ca-certificates provided certificates.
    (Closes: #689074)

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 05 Sep 2014 03:06:30 +0200

ruby2.1 (2.1.2-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/rules: call debian/split-tk-out.rb with $(baseruby) instead of
    `ruby` to actually support bootstrapping with ruby1.8 (and no `ruby`)
  * Break dependency loop (Closes: #747858)
    - ruby2.1: drop dependency on ruby
    - libruby2.1: drop dependency on ruby2.1

  [ Christian Hofstaedtler ]
  * Add missing man pages for gem, rdoc, testrb (Closes: #756053, #756815)
  * Correct ruby2.1's Multi-Arch flag to 'allowed' (Closes: #745360)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Aug 2014 10:45:29 -0300

ruby2.1 (2.1.2-2) unstable; urgency=medium

  * Support bootstrapping with Ruby 1.8 (which builds with gcc only) if another
    Ruby is not available.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 15 May 2014 23:20:49 -0300

ruby2.1 (2.1.2-1) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * New upstream version
  * Update watch file

  [ Sebastian Boehm ]
  * Build with basic systemtap support. (Closes: #747232)

  [ Antonio Terceiro ]
  * 2.1 is now the main development branch

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 10 May 2014 15:51:13 +0200

ruby2.1 (2.1.1-4) unstable; urgency=medium

  * Use Debian copy of config.{guess,sub}
    Instead of downloading it from the Internet, which could be down or
    insecure. Thanks to Scott Kitterman for the report AND patch.
    (Closes: 745699)
  * Move jquery source file to d/missing-sources

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 25 Apr 2014 00:57:13 +0200

ruby2.1 (2.1.1-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Disable rubygems-integration during the build. This fixes the install
    location of the gemspecs for the bundled libraries. (Closes: #745465)


