## ruby2.2 2.2.4

=== debian/changelog ===
ruby2.2 (2.2.4-1) unstable; urgency=medium

  * d/control: Update branch name for 2.2 series
  * New upstream release, fixing CVE-2015-7551 (Closes: #796551)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 25 Jan 2016 14:48:02 +0000

ruby2.2 (2.2.3-2) unstable; urgency=medium

  * Add dependency on ruby-minitest to provide the same experience out of the
    box as the upstream package (Closes: #803665)
  * Apply upstream patch to not use SSLv3 methods if OpenSSL does not export
    them (Closes: #804089)
  * updated debian/libruby2.2.symbols with 1 new symbol.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 05 Nov 2015 18:43:02 -0200
