=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://www.ruby-lang.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/ruby.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ruby.git -b master-2.2
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ruby.git
 Testsuite: autopkgtest
 
@@ -55,7 +55,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ruby-test-unit (>= 3.0.8~)
+         ruby-test-unit (>= 3.0.8~),
+         ruby-minitest (>= 5.4),
 Description: Libraries necessary to run Ruby 2.2
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
